List all flags for a team
GET
https://api.vercel.com/v2/teams/{teamId}/feature-flags/flagsRetrieve all feature flags for a team across all projects. Returns an opaque cursor for pagination.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.featureFlags.listTeamFlagsV2({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "pagination": { "next": "string" }, "data": [ { "description": "string", "variants": [ { "description": "string", "label": "string", "value": "string", "id": "icfg_1234567890" } ], "id": "icfg_1234567890", "environments": "value", "kind": "boolean", "revision": "123", "seed": "123", "state": "active", "maintainerIds": [], "permanent": "false", "tags": [], "slug": "string", "createdAt": "123", "updatedAt": "123", "updatedBy": "string", "createdBy": "string", "ownerId": "example_id", "projectId": "example_id", "typeName": "flag", "metadata": { "creator": { "id": "icfg_1234567890", "name": "Example Name" } } } ]}AuthorizationbearerToken
Default authentication mechanism
Filter flags by maintainer user id. Repeat the parameter for multiple maintainers (any may match).
Whether to include Marketplace experimentation items in the paginated response. Defaults to false.